GET
/api/v1/rds/cluster/{Cluster_id}/get-logs
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/get-logs?time_filter=<TIME_FILTER>&search_from=<SEARCH_FROM>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/get-logs", params={"time_filter": "<TIME_FILTER>", "search_from": "<SEARCH_FROM>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/get-logs");url.search = new URLSearchParams({ time_filter: "<TIME_FILTER>", search_from: "<SEARCH_FROM>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Cluster_id
required
integer
Cluster Id
Query Parameters
Section titled “Query Parameters”time_filter
required
integer
Time_filter
search_from
required
integer
Search_from
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successfully retrieved slow queries data
Media typeapplication/json
object
code
integer
data
object
total
Total number of slow queries.
integer
slow_data
Array<object>
An array of slow query data (empty if no slow queries exist).
object
errors
object
message
string
Example
{ "code": 200, "data": { "total": 0, "slow_data": [ [] ] }, "errors": {}, "message": "Success"}